> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/error-handling/error-catalogue.md).

# Error Catalogue

- [Missing Alives](https://docs.sportradar.com/uof/error-handling/error-catalogue/missing-alives.md)
- [Snapshot complete with unknown recoveryId](https://docs.sportradar.com/uof/error-handling/error-catalogue/snapshot-complete-with-unknown-recoveryid.md)
- [Connection reset](https://docs.sportradar.com/uof/error-handling/error-catalogue/connection-reset.md)
- [Recovery request has negative timestamp](https://docs.sportradar.com/uof/error-handling/error-catalogue/recovery-request-has-negative-timestamp.md)
- [Retrieved market descriptor is missing outcome](https://docs.sportradar.com/uof/error-handling/error-catalogue/retrieved-market-descriptor-is-missing-outcome.md)
- [Error Catalogue](https://docs.sportradar.com/uof/error-handling/error-catalogue/error-catalogue.md)
- [Very slow API responses](https://docs.sportradar.com/uof/error-handling/error-catalogue/very-slow-api-responses.md)
- [Unable to read beyond the end of the stream](https://docs.sportradar.com/uof/error-handling/error-catalogue/unable-to-read-beyond-the-end-of-the-stream.md)
- [The SSL connection could not be established](https://docs.sportradar.com/uof/error-handling/error-catalogue/the-ssl-connection-could-not-be-established.md)
- [Unable to connect to rabbit server](https://docs.sportradar.com/uof/error-handling/error-catalogue/unable-to-connect-to-rabbit-server.md)
- [Bad API response 503 Service Unavailable](https://docs.sportradar.com/uof/error-handling/error-catalogue/bad-api-response-503-service-unavailable.md)
- [Unexpected results returned from the SDK](https://docs.sportradar.com/uof/error-handling/error-catalogue/unexpected-results-returned-from-the-sdk.md)
- [Duplicate messages](https://docs.sportradar.com/uof/error-handling/error-catalogue/duplicate-messages.md)
- [Getting NULL trying to fetch category from tournament object](https://docs.sportradar.com/uof/error-handling/error-catalogue/getting-null-trying-to-fetch-category-from-tournament-object.md)
- [Java.net.UnknownHostException](https://docs.sportradar.com/uof/error-handling/error-catalogue/java.net.unknownhostexception.md)
- [System.OutOfMemoryException](https://docs.sportradar.com/uof/error-handling/error-catalogue/system.outofmemoryexception.md)
- [BD (Betradar Documentation)](https://docs.sportradar.com/uof/error-handling/error-catalogue/bd-betradar-documentation.md)
- [TimeoutException, a task was canceled](https://docs.sportradar.com/uof/error-handling/error-catalogue/timeoutexception-a-task-was-canceled.md)
- [API response\_code NOT\_FOUND](https://docs.sportradar.com/uof/error-handling/error-catalogue/api-response_code-not_found.md)
- [Unexpected connection driver exception](https://docs.sportradar.com/uof/error-handling/error-catalogue/unexpected-connection-driver-exception.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/uof/error-handling/error-catalogue.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
